public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/m2crypto/
Date: Thu, 31 Oct 2024 05:24:49 +0000 (UTC)	[thread overview]
Message-ID: <1730351874.0ce459bb7b67a70a698a27aea5f6cfe4a78c27bd.mgorny@gentoo> (raw)

commit:     0ce459bb7b67a70a698a27aea5f6cfe4a78c27bd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 31 05:04:32 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 31 05:17:54 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ce459bb

dev-python/m2crypto: Bump to 0.43.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/m2crypto/Manifest               |  1 +
 dev-python/m2crypto/m2crypto-0.43.0.ebuild | 70 ++++++++++++++++++++++++++++++
 2 files changed, 71 insertions(+)

diff --git a/dev-python/m2crypto/Manifest b/dev-python/m2crypto/Manifest
index 97f6e8cf0f6d..478d2089a5a1 100644
--- a/dev-python/m2crypto/Manifest
+++ b/dev-python/m2crypto/Manifest
@@ -1 +1,2 @@
 DIST m2crypto-0.42.0.tar.gz 240072 BLAKE2B 86b9f340eb90a8fc94b09faa20a676a3a63c0c64a0902a6729face72b602a2f55941c156ecb3d522a823457d2514e96b147585264200674e11dfaba3d19790de SHA512 b36fb6d1ca401de9741118ab8d43113511bf27d32f45d2257ed70ea8d3b8a3beaf811731dbbece00a6b990366c43096c6b5f5b12d4649ae923bff98c5fc8e674
+DIST m2crypto-0.43.0.tar.gz 366785 BLAKE2B 611daee57c5605246c0a505604e54ec7e029301194ed75bcb7c02ec04f0246a3dc05e13c8c00f1cc15496495a81c098b203cf69a75ce5a65ea3c7a1c0445e5d3 SHA512 c5232956a88de51bd3a1e02859b7a308eabb4e055cc0c8aac2d8d34a60c60a4a4c7160db4060ec07f559134a04eb41c6ab116a194ec3f7441d342e6d38f9add9

diff --git a/dev-python/m2crypto/m2crypto-0.43.0.ebuild b/dev-python/m2crypto/m2crypto-0.43.0.ebuild
new file mode 100644
index 000000000000..ef855199c635
--- /dev/null
+++ b/dev-python/m2crypto/m2crypto-0.43.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 2018-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+PYPI_PN="M2Crypto"
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 toolchain-funcs pypi
+
+DESCRIPTION="A Python crypto and SSL toolkit"
+HOMEPAGE="
+	https://gitlab.com/m2crypto/m2crypto/
+	https://pypi.org/project/M2Crypto/
+"
+
+# openssl via src/SWIG/_lib11_compat.i
+LICENSE="MIT openssl"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+IUSE="abi_mips_n32 abi_mips_n64 abi_mips_o32"
+
+DEPEND="
+	dev-libs/openssl:=
+"
+RDEPEND="
+	${DEPEND}
+"
+BDEPEND="
+	>=dev-lang/swig-2.0.9
+"
+
+swig_define() {
+	local x
+	for x; do
+		if tc-cpp-is-true "defined(${x})"; then
+			SWIG_FEATURES+=" -D${x}"
+		fi
+	done
+}
+
+src_prepare() {
+	# relies on very exact clock behavior which apparently fails
+	# with inconvenient CONFIG_HZ*
+	sed -e 's:test_server_simple_timeouts:_&:' \
+		-i tests/test_ssl.py || die
+	distutils-r1_src_prepare
+}
+
+python_compile() {
+	# setup.py looks at platform.machine() to determine swig options.
+	# For exotic ABIs, we need to give swig a hint.
+	local -x SWIG_FEATURES=
+
+	# https://bugs.gentoo.org/617946
+	swig_define __ILP32__
+
+	# https://bugs.gentoo.org/674112
+	swig_define __ARM_PCS_VFP
+
+	distutils-r1_python_compile
+}
+
+python_test() {
+	"${EPYTHON}" -m unittest -b -v tests.alltests.suite ||
+		die "Tests failed for ${EPYTHON}"
+}


             reply	other threads:[~2024-10-31  5:24 UTC|newest]

Thread overview: 140+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-10-31  5:24 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-16 11:35 [gentoo-commits] repo/gentoo:master commit in: dev-python/m2crypto/ Michał Górny
2024-11-16 11:35 Michał Górny
2024-11-16 11:29 Arthur Zamarin
2024-11-16  9:47 Arthur Zamarin
2024-11-16  9:47 Arthur Zamarin
2024-11-16  8:47 Arthur Zamarin
2024-11-16  8:38 Arthur Zamarin
2024-11-16  8:09 Michał Górny
2024-11-16  8:09 Michał Górny
2024-09-13  3:12 Michał Górny
2024-09-13  1:23 Sam James
2024-09-02  7:29 Arthur Zamarin
2024-09-01 21:06 Sam James
2024-08-31 10:28 Arthur Zamarin
2024-08-31  9:43 Arthur Zamarin
2024-08-31  8:41 Arthur Zamarin
2024-08-31  8:21 Arthur Zamarin
2024-08-11  2:58 Michał Górny
2024-03-03  3:39 Michał Górny
2024-03-03  2:27 Sam James
2024-03-02 12:34 Arthur Zamarin
2024-03-02 10:39 Arthur Zamarin
2024-03-02 10:39 Arthur Zamarin
2024-03-02 10:36 Arthur Zamarin
2024-03-02 10:36 Arthur Zamarin
2024-03-02 10:36 Arthur Zamarin
2024-02-14  7:26 Michał Górny
2023-11-29 15:15 Michał Górny
2023-11-29 13:21 Arthur Zamarin
2023-11-29 12:38 Arthur Zamarin
2023-11-29  9:51 Arthur Zamarin
2023-11-25  9:37 Arthur Zamarin
2023-11-25  9:37 Arthur Zamarin
2023-11-25  8:38 Sam James
2023-11-25  8:38 Sam James
2023-10-26  3:12 Michał Górny
2023-10-25  7:55 Michał Górny
2023-10-25  7:43 Michał Górny
2023-08-25 14:21 Michał Górny
2023-08-04 15:08 Michał Górny
2023-08-04  9:22 Sam James
2023-07-11  8:43 Jakov Smolić
2023-07-07 21:22 Sam James
2023-07-05  8:01 Arthur Zamarin
2023-07-05  8:01 Arthur Zamarin
2023-07-05  5:56 Arthur Zamarin
2023-07-05  1:24 Sam James
2023-05-04 16:17 Michał Górny
2022-06-03  8:12 Sam James
2022-05-05 23:48 WANG Xuerui
2022-01-23 21:49 Sam James
2021-07-27 20:35 Sam James
2021-07-26 11:17 Sam James
2021-07-25 20:09 Sam James
2021-07-25  1:04 Sam James
2021-07-24 17:11 Sam James
2021-07-24 15:12 Sam James
2021-06-15  5:40 Michał Górny
2021-05-16 15:09 Michał Górny
2021-05-16 12:45 Sam James
2021-05-16  0:07 Sam James
2021-05-10  6:58 Agostino Sarubbo
2021-05-02 15:52 Mikle Kolyada
2021-05-01 18:19 Agostino Sarubbo
2021-04-25  9:18 Sergei Trofimovich
2021-04-25  9:18 Sergei Trofimovich
2021-04-20  6:39 Sergei Trofimovich
2020-12-14  5:51 Sam James
2020-09-20 15:47 Michał Górny
2020-09-03 23:57 Sam James
2020-09-01  3:05 Sam James
2020-08-25 17:48 Sergei Trofimovich
2020-08-21 19:00 Sergei Trofimovich
2020-08-21 15:36 Agostino Sarubbo
2020-08-21 15:27 Agostino Sarubbo
2020-08-19  9:03 Sam James
2020-08-08  0:29 Sam James
2020-08-04 18:57 Sergei Trofimovich
2020-08-01  9:14 Sergei Trofimovich
2020-07-30 19:39 Sam James
2020-07-30  4:49 Sam James
2020-07-30  4:30 Sam James
2020-07-30  4:30 Sam James
2020-07-30  4:30 Sam James
2020-07-16 19:00 Michał Górny
2020-04-17 14:17 Andreas Sturmlechner
2020-03-16 21:18 Michał Górny
2019-08-14 19:37 Mike Gilbert
2019-08-10 19:09 Michał Górny
2019-04-29  3:21 Matt Turner
2019-04-27 16:03 Sergei Trofimovich
2019-04-27 15:20 Sergei Trofimovich
2019-04-26 20:54 Mikle Kolyada
2019-04-24 21:33 Thomas Deutschmann
2019-04-24 17:02 Sergei Trofimovich
2019-04-20 18:43 Mikle Kolyada
2019-04-19 20:55 Aaron Bauman
2019-04-19 18:30 Aaron Bauman
2019-03-20 18:51 Mikle Kolyada
2019-03-19 16:50 Ben Kohler
2018-12-22 11:43 Andreas Sturmlechner
2018-07-12 13:27 Michał Górny
2018-07-01 14:45 Mikle Kolyada
2018-05-04 13:57 Mart Raudsepp
2018-01-05  9:36 Michał Górny
2017-12-20 18:18 Mike Gilbert
2017-12-10  0:32 Sergei Trofimovich
2017-12-10  0:32 Sergei Trofimovich
2017-12-10  0:32 Sergei Trofimovich
2017-12-10  0:32 Sergei Trofimovich
2017-11-22 16:28 Mike Gilbert
2017-11-19 20:55 Thomas Deutschmann
2017-11-19 19:51 Thomas Deutschmann
2017-11-10  3:50 Matt Turner
2017-11-08  7:08 Patrick Lauer
2017-09-30 15:29 Patrick Lauer
2017-09-10 19:13 Sergei Trofimovich
2017-09-10 19:13 Sergei Trofimovich
2017-08-28 17:34 Guilherme Amadio
2017-07-01 10:14 Sergei Trofimovich
2017-07-01 10:14 Sergei Trofimovich
2017-05-15 13:15 Lars Wendler
2017-02-27 20:11 Markus Meier
2017-02-22 21:34 Markus Meier
2017-02-12 19:55 Markus Meier
2017-02-08  1:48 Michael Weber
2017-01-31 15:51 Tobias Klausmann
2017-01-31 13:45 Jeroen Roovers
2017-01-30 13:09 Agostino Sarubbo
2017-01-29 17:15 Fabian Groffen
2017-01-15 20:11 Jeroen Roovers
2017-01-15 20:07 Jeroen Roovers
2016-11-03 10:03 Dirkjan Ochtman
2016-10-28 22:31 David Seifert
2016-10-20 17:30 Patrick Lauer
2016-06-14 18:18 Mike Frysinger
2016-04-03 20:59 Manuel Rüger
2016-02-18 20:44 Patrick Lauer
2015-10-03 15:20 Julian Ospald

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1730351874.0ce459bb7b67a70a698a27aea5f6cfe4a78c27bd.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox